//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblPupilAbsence
    {
        public short Year { get; set; }
        public short BrandCd { get; set; }
        public int HouseCd { get; set; }
        public short CourseCd { get; set; }
        public int TeacherCd { get; set; }
        public System.DateTime AsOfDate { get; set; }
        public int Line { get; set; }
        public int Seq { get; set; }
        public string PupilCd { get; set; }
        public Nullable<byte> SubjectCd { get; set; }
        public string CourseName { get; set; }
        public string TeacherName { get; set; }
        public string PupilName { get; set; }
        public string SubjectName { get; set; }
        public Nullable<int> Price { get; set; }
        public Nullable<int> Grade { get; set; }
        public Nullable<byte> StdCourseCd { get; set; }
        public Nullable<byte> StdKbn { get; set; }
        public Nullable<byte> ClassSystem { get; set; }
        public Nullable<System.DateTime> UpdStampDate { get; set; }
        public string UpdStampId { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
